import { AfterViewInit, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Subject } from 'rxjs';
import { BsToggleButtonComponent } from '../component/toggle-button.component';
import * as i0 from "@angular/core";
export declare class BsToggleButtonValueAccessor implements ControlValueAccessor, AfterViewInit, OnDestroy {
    private host;
    constructor(host: BsToggleButtonComponent);
    destroyed$: Subject<unknown>;
    onValueChange?: (value: boolean | string | string[]) => void;
    onTouched?: () => void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(fn: () => void): void;
    writeValue(value: boolean | string | string[]): void;
    setDisabledState(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsToggleButtonValueAccessor, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BsToggleButtonValueAccessor, "bs-toggle-button", never, {}, {}, never, never, false, never>;
}
